"use strict";Object.defineProperty(exports, "__esModule", {value: true});











var _chunkINPXH7MScjs = require('./chunk-INPXH7MS.cjs');














var _chunkAZCEGMGPcjs = require('./chunk-AZCEGMGP.cjs');


var _chunkDIZSH7CYcjs = require('./chunk-DIZSH7CY.cjs');


var _chunkQP5Y3I6Fcjs = require('./chunk-QP5Y3I6F.cjs');

// src/common/bin/index.ts
var BinaryEncoder = class {
  async encode(data) {
    const dataEncoder = _chunkAZCEGMGPcjs.createEncoder.call(void 0, );
    _chunkAZCEGMGPcjs.writeAny.call(void 0, dataEncoder, data);
    return _chunkAZCEGMGPcjs.encodeToUint8Array.call(void 0, dataEncoder);
  }
  async decode(data) {
    return _chunkINPXH7MScjs.readAny.call(void 0, _chunkINPXH7MScjs.createDecoder.call(void 0, _chunkQP5Y3I6Fcjs.toUint8Array.call(void 0, data)));
  }
};
function encodeJson(data) {
  const dataEncoder = _chunkAZCEGMGPcjs.createEncoder.call(void 0, );
  _chunkAZCEGMGPcjs.writeAny.call(void 0, dataEncoder, data);
  return _chunkAZCEGMGPcjs.encodeToUint8Array.call(void 0, dataEncoder);
}
function decodeJson(data) {
  return _chunkINPXH7MScjs.readAny.call(void 0, _chunkINPXH7MScjs.createDecoder.call(void 0, _chunkQP5Y3I6Fcjs.toUint8Array.call(void 0, data)));
}
function createBinaryStreamEncoder(initialData) {
  const dataEncoder = _chunkAZCEGMGPcjs.createEncoder.call(void 0, );
  if (initialData != null)
    _chunkAZCEGMGPcjs.writeUint8Array.call(void 0, dataEncoder, _chunkQP5Y3I6Fcjs.toUint8Array.call(void 0, initialData));
  return {
    /** Just writes the bytes. Length is not stored! */
    writeBytes: (data, expectedLength) => {
      const bin = _chunkQP5Y3I6Fcjs.toUint8Array.call(void 0, data);
      _chunkDIZSH7CYcjs.assertCondition.call(void 0, !(expectedLength != null && bin.length !== expectedLength), `Expected ${expectedLength} bytes, got ${bin.length}`);
      _chunkAZCEGMGPcjs.writeUint8Array.call(void 0, dataEncoder, bin);
    },
    writeBytesVar: (data) => _chunkAZCEGMGPcjs.writeVarUint8Array.call(void 0, dataEncoder, _chunkQP5Y3I6Fcjs.toUint8Array.call(void 0, data)),
    writeUintVar: (data) => _chunkAZCEGMGPcjs.writeVarUint.call(void 0, dataEncoder, data),
    writeUint8: (data) => _chunkAZCEGMGPcjs.writeUint8.call(void 0, dataEncoder, data),
    writeUint16: (data) => _chunkAZCEGMGPcjs.writeUint16.call(void 0, dataEncoder, data),
    writeUint32: (data) => _chunkAZCEGMGPcjs.writeUint32.call(void 0, dataEncoder, data),
    writeIntVar: (data) => _chunkAZCEGMGPcjs.writeVarInt.call(void 0, dataEncoder, data),
    writeFloat: (data) => _chunkAZCEGMGPcjs.writeFloat32.call(void 0, dataEncoder, data),
    writeStringVar: (data) => _chunkAZCEGMGPcjs.writeVarString.call(void 0, dataEncoder, data),
    write: (data) => _chunkAZCEGMGPcjs.writeAny.call(void 0, dataEncoder, data),
    getUint8Array: () => _chunkAZCEGMGPcjs.encodeToUint8Array.call(void 0, dataEncoder),
    getLength: () => _chunkAZCEGMGPcjs.length.call(void 0, dataEncoder)
  };
}
function createBinaryStreamDecoder(data) {
  const dataDecoder = _chunkINPXH7MScjs.createDecoder.call(void 0, _chunkQP5Y3I6Fcjs.toUint8Array.call(void 0, data));
  return {
    readBytes: (len) => _chunkINPXH7MScjs.readUint8Array.call(void 0, dataDecoder, len),
    readBytesVar: () => _chunkINPXH7MScjs.readVarUint8Array.call(void 0, dataDecoder),
    readUintVar: () => _chunkINPXH7MScjs.readVarUint.call(void 0, dataDecoder),
    readUint8: () => _chunkINPXH7MScjs.readUint8.call(void 0, dataDecoder),
    readUint16: () => _chunkINPXH7MScjs.readUint16.call(void 0, dataDecoder),
    readUint32: () => _chunkINPXH7MScjs.readUint32.call(void 0, dataDecoder),
    readIntVar: () => _chunkINPXH7MScjs.readVarInt.call(void 0, dataDecoder),
    readFloat: () => _chunkINPXH7MScjs.readFloat32.call(void 0, dataDecoder),
    readStringVar: () => _chunkINPXH7MScjs.readVarString.call(void 0, dataDecoder),
    read: () => _chunkINPXH7MScjs.readAny.call(void 0, dataDecoder),
    getOffset: () => dataDecoder.pos || 0
  };
}
function bitfield(bitfield2 = 0) {
  return {
    setBit: (bit, value = true) => value ? bitfield2 |= 1 << bit : bitfield2 &= ~(1 << bit),
    unsetBit: (bit) => bitfield2 &= 1 << bit,
    toggleBit: (bit) => bitfield2 ^= 1 << bit,
    getBit: (bit) => (bitfield2 & 1 << bit) !== 0,
    getValue: () => bitfield2
  };
}
async function blobToArrayBuffer(blob) {
  return await blob.arrayBuffer();
}
async function blobToUint8Array(blob) {
  const buffer = await blobToArrayBuffer(blob);
  if (buffer != null)
    return _chunkQP5Y3I6Fcjs.toUint8Array.call(void 0, buffer);
}










exports.BinaryEncoder = BinaryEncoder; exports.encodeJson = encodeJson; exports.decodeJson = decodeJson; exports.createBinaryStreamEncoder = createBinaryStreamEncoder; exports.createBinaryStreamDecoder = createBinaryStreamDecoder; exports.bitfield = bitfield; exports.blobToArrayBuffer = blobToArrayBuffer; exports.blobToUint8Array = blobToUint8Array;
//# sourceMappingURL=chunk-ABDVNBDE.cjs.map