import {
  _LoggerFromConfig
} from "./chunk-KJL7VPVO.js";
import {
  isBrowser
} from "./chunk-AJCIHTGI.js";
import {
  getGlobalLogger
} from "./chunk-HPPXDJP5.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-TBV5HGJ4.js";
import {
  LoggerBrowserHandler
} from "./chunk-Q474SLJN.js";
import {
  isEmpty
} from "./chunk-AY5LGXTC.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _LoggerFromConfig(Logger, config, name, level);
}

export {
  Logger,
  LoggerFromConfig
};
//# sourceMappingURL=chunk-XG6SMHDG.js.map