"use strict";require('../../chunk-IB5IYYW3.cjs');
require('../../chunk-Q2SNIYQS.cjs');
require('../../chunk-MBFXWDW2.cjs');





var _chunkABDVNBDEcjs = require('../../chunk-ABDVNBDE.cjs');
require('../../chunk-INPXH7MS.cjs');
require('../../chunk-AZCEGMGP.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-MJ7L4G3V.cjs');
require('../../chunk-ZISXTDUV.cjs');
require('../../chunk-EZIDDVJG.cjs');
require('../../chunk-3TNVJY4F.cjs');
require('../../chunk-WPWV7ZEM.cjs');
require('../../chunk-H6AB4FMJ.cjs');
require('../../chunk-DIZSH7CY.cjs');
require('../../chunk-4HLDMY5U.cjs');
require('../../chunk-T5KBISPM.cjs');
require('../../chunk-UNHMDTJQ.cjs');
require('../../chunk-WQKJ6L25.cjs');
require('../../chunk-JDN2JWUP.cjs');
require('../../chunk-ZO3HNLXY.cjs');
require('../../chunk-RGGV362V.cjs');
require('../../chunk-VE373YBB.cjs');
require('../../chunk-USZUKGVW.cjs');
require('../../chunk-QLGR2XSS.cjs');
require('../../chunk-IXVRHJ5R.cjs');
require('../../chunk-QZHRO76T.cjs');
require('../../chunk-T5YZ3TXB.cjs');
require('../../chunk-BNY33VPP.cjs');
require('../../chunk-NJBGLT4F.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-ZFHTACEU.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-SAXSFROU.cjs');
require('../../chunk-HPEZF357.cjs');
require('../../chunk-O44E65TP.cjs');
require('../../chunk-U7QCFBCQ.cjs');
require('../../chunk-WMBXBB3K.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-BPNZP36A.cjs');
require('../../chunk-RZKLDILW.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-ZTXHUURC.cjs');
require('../../chunk-NEUX2E3A.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-6BXZXESY.cjs');
require('../../chunk-7ZVZ6CJO.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-CRY7SVRY.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-EE5CB3R7.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-5KIDARFB.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-XVQVWCIE.cjs');
require('../../chunk-52BL3727.cjs');
require('../../chunk-JQSCYOKH.cjs');
require('../../chunk-L5SJIWCK.cjs');
require('../../chunk-DRQTDJSC.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-5K46PLWP.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-7FO3T7KH.cjs');
require('../../chunk-BMRI2X66.cjs');




var _chunkQP5Y3I6Fcjs = require('../../chunk-QP5Y3I6F.cjs');
require('../../chunk-TAKWLGAZ.cjs');
require('../../chunk-EBDUTZIB.cjs');

// src/common/bin/index.spec.ts
describe("encoder", () => {
  it("should write a stream", () => {
    const stream = _chunkABDVNBDEcjs.createBinaryStreamEncoder.call(void 0, );
    stream.writeUint32(1);
    stream.write({ a: "99" });
    stream.writeBytes([1, 2, 3], 3);
    stream.write(123);
    const bin = stream.getUint8Array();
    expect(_chunkQP5Y3I6Fcjs.Uint8ArrayToHexDump.call(void 0, bin)).toMatchInlineSnapshot(`
      "0000  01 00 00 00 76 01 01 61 77 02 39 39 01 02 03 7d  ....v..aw.99...}
      0010  bb 01                                            \xBB.              "
    `);
    expect(stream.getLength()).toBe(18);
    const readStream = _chunkABDVNBDEcjs.createBinaryStreamDecoder.call(void 0, bin);
    expect(readStream.getOffset()).toBe(0);
    expect(readStream.readUint32()).toBe(1);
    expect(readStream.getOffset()).toBe(4);
    expect(readStream.read()).toEqual({ a: "99" });
    expect(readStream.readBytes(3)).toMatchInlineSnapshot(`
Uint8Array [
  1,
  2,
  3,
]
`);
    expect(readStream.read()).toBe(123);
    expect(readStream.getOffset()).toBe(bin.length);
  });
  it("should bitfield", () => {
    const bf = _chunkABDVNBDEcjs.bitfield.call(void 0, 1);
    bf.setBit(4);
    expect(bf.getValue()).toBe(17);
    bf.setBit(0, false);
    expect(bf.getValue()).toBe(16);
    bf.setBit(1);
    bf.setBit(5);
    bf.setBit(16);
    expect(bf.getValue().toString(2)).toMatchInlineSnapshot(
      '"10000000000110010"'
    );
    expect(bf.getValue()).toBe(65586);
    expect(bf.getBit(0)).toBe(false);
    expect(bf.getBit(4)).toBe(true);
    bf.toggleBit(4);
    expect(bf.getBit(4)).toBe(false);
    expect(bf.getValue()).toBe(65570);
  });
  it("should var bin", () => {
    function enc(v) {
      const e = _chunkABDVNBDEcjs.createBinaryStreamEncoder.call(void 0, );
      e.writeIntVar(v);
      return _chunkQP5Y3I6Fcjs.toHex.call(void 0, e.getUint8Array());
    }
    expect(enc(1)).toMatchInlineSnapshot('"01"');
    expect(enc(128)).toMatchInlineSnapshot('"8002"');
    expect(enc(-1)).toMatchInlineSnapshot('"41"');
    expect(enc(-691529286)).toMatchInlineSnapshot('"c699bf9305"');
    expect(enc(691529286)).toMatchInlineSnapshot('"8699bf9305"');
  });
  it("should var bin uint", () => {
    function enc(v) {
      const e = _chunkABDVNBDEcjs.createBinaryStreamEncoder.call(void 0, );
      e.writeUintVar(v);
      return _chunkQP5Y3I6Fcjs.toHex.call(void 0, e.getUint8Array());
    }
    expect(enc(1)).toMatchInlineSnapshot('"01"');
    expect(enc(127)).toMatchInlineSnapshot('"7f"');
    expect(enc(128)).toMatchInlineSnapshot(`"8001"`);
    expect(enc(255)).toMatchInlineSnapshot('"ff01"');
    expect(enc(256)).toMatchInlineSnapshot('"8002"');
    expect(enc(691529286)).toMatchInlineSnapshot('"c6ccdfc902"');
  });
  it("should be consistent", () => {
    const bin1 = _chunkABDVNBDEcjs.encodeJson.call(void 0, {
      a: 1,
      b: 2
    });
    const bin2 = _chunkABDVNBDEcjs.encodeJson.call(void 0, {
      b: 2,
      a: 1
    });
    expect(_chunkQP5Y3I6Fcjs.equalBinary.call(void 0, bin1, bin2)).toBe(true);
  });
});
//# sourceMappingURL=index.spec.cjs.map